Subject: bug#31990: 26.1; Stuck in loop trying to send bug report

From: Live System User <[email-masked]>
Date: Fri, 29 Jun 2018 09:32:16 -0400

--text follows this line--: --text follows this line--
Eli Zaretskii <[email-masked]> writes: 

>> From: Live System User <[email-masked]>
>> Date: Wed, 27 Jun 2018 18:41:13 -0400
>> Cc: [email-masked]
>> 
>>         While trying to send a bug report with long lines I
>>         got stuck in a loop.
>> 
>>         Here's what the *Messages* contained:
>> 
>> Sending...
>> Mark set
>> Fix continuation lines? (y or n) n
>> Send anyway? (y or n) y
>> Fix continuation lines? (y or n) n
>> Send anyway? (y or n) y
>> Fix continuation lines? (y or n) n
>> Send anyway? (y or n) y
>> Fix continuation lines? (y or n) n
>> Send anyway? (y or n) y
>> Fix continuation lines? (y or n) n
>> Send anyway? (y or n) y
>> Quit
>
> Were you really stuck or just impatient?  message.el asks these
> Were you really stuck or just impatient?  message.el asks these
> questions for every single line that it wants to fix.  Each time you
> answer, it should move to the next line before it asks the same
> question.  Are you saying it didn't move in your case?

  I don't remember whether or not I moved to the next line as I was
  having various problems sending email.

  I originally tried to send an email with a new version of Emacs 26.1.
  When that failed due to Emacs not issuing a STARTTLS command, I
  decided to create a "report-emacs-bug" about it.  That would
  probably also fail for the same reason but at least I would have
  a bug report message in the format of "report-emacs-bug" in a
  buffer that I could cut&paste and thus send outside of Emacs.

  Since I had the "report-emacs-bug" message, I might as well attempt
  to send it within Emacs -- the worse that could happen is tbat
  semding mail would fail again.

  This time I got the 'Fix continuation lines?'' query, to which I
  kept answering "n".

  You'll notice that it says "...lines".  That's plural, i.e. more
  than one.  To me, that meant that ALL lines would be fixed up.

  I had no idea that "lines" really meant "line and that I would
  have to answer each one indvidually.

  If there were visual clues, i.e. movement, I must have misse it.
  Perhaps that query could be augment with the words "..this line"?

  Additionally, perhap a way to specify ALL remaining occurences,
  similar to the way "query-replace" works?
  
> If it did move, then I think this is working as designed, and if you'd
> continued to answer the questions, you'd eventually get to sending the
> message.

`Unfortunally not because of Emacs not issuing a STARTTLS  command...

 Thanks